Bug 650366 - LDAP-less routing broken
Summary: LDAP-less routing broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 13
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-05 22:59 UTC by Harley Race
Modified: 2011-06-28 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:48:46 UTC
Type: ---


Attachments (Terms of Use)

Description Harley Race 2010-11-05 22:59:59 UTC
Description of problem:

If using LDAP-less routing, m4 does not produce a usable senmdmail.cf file.

When using the following lines in sendmail.mc:

LDAPROUTE_DOMAIN(`mydomain.com')dnl
FEATURE(`ldap_routing', `hash  -T<TMPF> /etc/mail/LDAProutingmap.db', ``null'', `bounce')dnl

and

Version-Release number of selected component (if applicable):
Name        : sendmail               Relocations: (not relocatable)
Version     : 8.14.4                 Vendor: Fedora Project
Release     : 5.fc13                 Build Date: Tue 14 Sep 2010 05:35:33 AM EDT
Install Date: Tue 12 Oct 2010 03:24:20 PM EDT
Build Host: x86-20.phx2.fedoraproject.org
Group       : System Environment/Daemons
Source RPM: sendmail-8.14.4-5.fc13.src.rpm
Size        : 1611035                          License: Sendmail
Signature   : RSA/SHA256, Tue 14 Sep 2010 06:02:00 PM EDT, Key ID 7edc6ad6e8e40fde


How reproducible:

Always.

Steps to Reproduce:

1. Add following lines to sendmail.mc

LDAPROUTE_DOMAIN(`mydomain.com')dnl
FEATURE(`ldap_routing', `hash  -T<TMPF> /etc/mail/LDAProutingmap.db', `null', `bounce')dnl

2. Try to build using "./Build sendmail.cf"
3. Get the following messages:

on console:

Using M4=/usr/bin/m4
rm -f fnc.cf
/usr/bin/m4 ../m4/cf.m4 fnc.mc > fnc.cf || ( rm -f fnc.cf && exit 1 )
*** WARNING: missing -T<TMPF> in second argument of FEATURE(`ldap_routing')
echo "### fnc.mc ###" >>fnc.cf
sed -e 's/^/# /' fnc.mc >>fnc.cf
chmod 444 fnc.cf

Starting sendmail with "service sendmail start" does not work.  sm-client start, sendmail daemon does not.

If you remove the -T<TMPF> from the argument
 
`hash  -T<TMPF> /etc/mail/LDAProutingmap.db'

you get the following error on console:

Using M4=/usr/bin/m4
rm -f fnc.cf
/usr/bin/m4 ../m4/cf.m4 fnc.mc > fnc.cf || ( rm -f fnc.cf && exit 1 )
*** WARNING: missing -T<TMPF> in first argument of FEATURE(`ldap_routing')
*** WARNING: missing -T<TMPF> in second argument of FEATURE(`ldap_routing')
echo "### fnc.mc ###" >>fnc.cf
sed -e 's/^/# /' fnc.mc >>fnc.cf
chmod 444 fnc.cf

Sendmail will not start.  Check sendmail.cf 


Actual results:

defective senmdail.cf created with following lines: 

# LDAP routing maps
Kldapmh hash -T<TMPF> /etc/mail/LDAProutingmap.db

Kldapmra

Expected results:

Create a sendmail.cf with following lines:

# LDAP routing maps
Kldapmh hash -T<TMPF> /etc/mail/LDAProutingmap.db

Kldapmra null


Additional info:

LDAP-less routing works in 8.14.2 and 8.14.3.
apparently 8.14.5 fixes problem.  See release note below:

8.14.5/8.14.5   2010/xx/xx
...
        CONFIG: FEATURE(`ldap_routing') in 8.14.4 tried to add a missing
                -T<TMPF> that is required, but failed for some cases
                that did not use LDAP.  This change has been undone
                until a better solution can be implemented.  Problem
                found by Andy Fiddaman.

Comment 1 Jaroslav Škarvada 2010-11-08 14:27:32 UTC
Thanks, update was pushed through bodhi.

Comment 2 Fedora Update System 2010-11-08 14:38:59 UTC
sendmail-8.14.4-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/sendmail-8.14.4-6.fc13

Comment 3 Fedora Update System 2010-11-08 14:40:57 UTC
sendmail-8.14.4-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sendmail-8.14.4-10.fc14

Comment 4 Fedora Update System 2010-11-08 22:44:35 UTC
sendmail-8.14.4-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sendmail'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sendmail-8.14.4-6.fc13

Comment 5 Fedora Update System 2010-12-03 20:40:02 UTC
sendmail-8.14.4-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Bug Zapper 2011-05-30 14:07:59 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-28 10:48:46 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.